## openoverlayrouter 1.1.1+ds1

=== oor/Makefile ===
#
#    Makefile for oor
#
#
#
#    David Meyer
#    dmm@1-4-5.net
#    Mon Apr 19 11:40:19 2010
#
#    $Header: /home/dmm/lisp/lispd/RCS/Makefile,v 1.2 2010/04/19 22:02:33 dmm Exp $
#



ifndef CC
CC          = gcc
endif
GENGETOPT   = gengetopt
ERROR       = false


ifeq "$(platform)" ""
CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2
LIBS        = -lconfuse -lrt -lm -lzmq -lxml2
else
ifeq "$(platform)" "openwrt"
CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -DOPENWRT 
LIBS        = -lrt -lm -lzmq -lxml2 -luci
else
ERROR       = true
endif
endif

INC         = defs.h
MAKEFILE    = Makefile

OBJS        = cmdline.o                  \
          config/oor_config_functions.o  \
          config/oor_api.o               \
          config/oor_api_internals.o     \
          control/oor_control.o          \
          control/oor_ctrl_device.o      \
          control/oor_local_db.o         \
          control/oor_map_cache.o        \
          control/lisp_xtr.o             \
          control/lisp_ms.o              \
          control/control-data-plane/control-data-plane.o    \
          control/control-data-plane/tun/cdp_tun.o           \
          data-plane/encapsulations/vxlan-gpe.o              \
          data-plane/data-plane.o        \
          data-plane/tun/tun_input.o     \
          data-plane/tun/tun_output.o    \
          data-plane/tun/tun.o           \
          elibs/mbedtls/md.o             \
          elibs/mbedtls/sha1.o           \
          elibs/mbedtls/sha256.o         \
          elibs/mbedtls/md_wrap.o        \
          elibs/patricia/patricia.o      \
          fwd_policies/fwd_policy.o      \
          fwd_policies/flow_balancing/fb_addr_func.o         \
          fwd_policies/flow_balancing/flow_balancing.o       \
          liblisp/liblisp.o              \
          liblisp/lisp_address.o         \
          liblisp/lisp_data.o            \
          liblisp/lisp_ip.o              \
          liblisp/lisp_lcaf.o            \
          liblisp/lisp_locator.o         \
          liblisp/lisp_mapping.o         \
          liblisp/lisp_messages.o        \
          liblisp/lisp_message_fields.o  \
          lib/cksum.o                    \
          lib/generic_list.o             \
          lib/hmac.o                     \
          lib/iface_locators.o           \
          lib/int_table.o                \
          lib/lbuf.o                     \
          lib/lisp_site.o                \
          lib/oor_log.o                  \
          lib/mapping_db.o               \
          lib/map_cache_entry.o          \
          lib/map_local_entry.o          \
          lib/mem_util.o                 \
          lib/nonces_table.o             \
          lib/packets.o                  \
          lib/pointers_table.o           \
          lib/prefixes.o                 \
          lib/routing_tables_lib.o       \
          lib/sockets.o                  \
          lib/sockets-util.o             \
          lib/shash.o                    \
          lib/timers.o                   \
          lib/timers_utils.o             \
          lib/ttable.o                   \
          lib/util.o                     \
          iface_list.o                   \
          iface_mgmt.o                   \
          oor.o                        
          
ifeq "$(platform)" "openwrt"
OBJS    := $(OBJS) \
          config/oor_config_uci.o
else
OBJS    := $(OBJS) \
          config/oor_config_confuse.o
endif

EXE        	= oor
PREFIX      = /usr/local/sbin
INCLUDE     = -I. -Iliblisp -Ielibs -Ilib -Icontrol -Idata-tun -Ifwd_balancing -Ifwd_balancing/flow_balancing

$(EXE): $(OBJS)
	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)   

#
#    gengetops generates this...
#
cmdline.c: oor.ggo
	$(GENGETOPT) -i $<

%.o: %.c $(DEPS)  $(INC) $(MAKEFILE)
ifeq "$(ERROR)" "true"
        $(error  Invalid value of platform parameter)
endif
	$(CC) $(CFLAGS) $(INCLUDE) -c -o $@ $< 

clean:
	rm -f *.o $(EXE) \
        elibs/patricia/*o \
        elibs/bob/*o \
        elibs/libcfu/*o \
        elibs/mbedtls/*o \
        liblisp/*o liblisp/hmac/*o \
        lib/*o \
        config/*o control/*o control/control-data-plane/*o \
        control/control-data-plane/tun/*o control/control-data-plane/vpnapi/*o \
        data-plane/encapsulations/*o \
        data-plane/*o data-plane/tun/*o data-plane/vpnapi/*o\
        fwd_policies/*o fwd_policies/flow_balancing/*o

distclean: clean
	rm -f cmdline.[ch] cscope.out

install: $(EXE)
	mkdir -p $(DESTDIR)$(PREFIX) && cp $(EXE) $(DESTDIR)$(PREFIX)
	setcap cap_net_raw,cap_net_admin+ep $(DESTDIR)$(PREFIX)/$(EXE)

tags:
	cscope -R -b

=== debian/changelog ===
openoverlayrouter (1.1.1+ds1-1ubuntu1) artful; urgency=medium

  * Set source section to misc, as done for the binary package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Oct 2017 08:09:43 +0200

openoverlayrouter (1.1.1+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #853880)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Feb 2017 18:10:00 +0100

=== debian/control ===
Source: openoverlayrouter
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Section: misc
Priority: optional
Build-Depends: debhelper (>=10)
	, dh-exec (>=0.2)
        , quilt
	, libzmq3-dev
	, libconfuse-dev
	, libcap2-bin
	, gengetopt
	, libxml2-dev
Standards-Version: 3.9.8
Homepage: http://openoverlayrouter.org/

Package: openoverlayrouter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends} 
Description: deploy programmable overlay networks
 The OpenOverlayRouter (OOR) project aims to deliver a flexible and modular
 open-source implementation to deploy programmable overlay networks. It
 leverages on encapsulating overlay-specific packets into underlay-compatible
 packets at the edges of the instantiated overlay and route them over the
 physical underlying infrastructure. In order to do so, it maps overlay
 identifiers to underlay locators and keeps those mappings updated over 
 time. In the current version, OOR uses the LISP protocol for the 
 control-plane (e.g. mapping retrieval and updating, etc), NETCONF/YANG for 
 the management-plane (e.g. overlay identifiers provisioning, etc) and can 
 use both LISP and VXLAN-GPE headers for encapsulation.

## openoverlayrouter 1.2.0%2Bds1

=== debian/watch ===
version=3
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openoverlayrouter-$1\.tar\.gz/ \
https://github.com/OpenOverlayRouter/oor/tags .*/v?(\d\S+)\.tar\.gz

## openoverlayrouter 1.2.0+ds1

=== Makefile ===
DIRS = oor
BUILDDIRS = $(DIRS:%=build-%)
INSTALLDIRS = $(DIRS:%=install-%)
CLEANDIRS = $(DIRS:%=clean-%)

all: $(BUILDDIRS)
$(DIRS): $(BUILDDIRS)
$(BUILDDIRS):
	$(MAKE) -C $(@:build-%=%)

install: $(INSTALLDIRS) all
$(INSTALLDIRS):
	$(MAKE) -C $(@:install-%=%) install

clean: $(CLEANDIRS)
$(CLEANDIRS):
	$(MAKE) -C $(@:clean-%=%) clean

.PHONY: subdirs $(DIRS)
.PHONY: subdirs $(BUILDDIRS)
.PHONY: subdirs $(INSTALLDIRS)
.PHONY: subdirs $(CLEANDIRS)
.PHONY: all install clean

=== oor/Makefile ===
--- 
+++ 
@@ -1,13 +1,20 @@
-#
-#    Makefile for oor
 #
 #
+# Copyright (C) 2011, 2015 Cisco Systems, Inc.
+# Copyright (C) 2015 CBA research group, Technical University of Catalonia.
 #
-#    David Meyer
-#    dmm@1-4-5.net
-#    Mon Apr 19 11:40:19 2010
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
 #
-#    $Header: /home/dmm/lisp/lispd/RCS/Makefile,v 1.2 2010/04/19 22:02:33 dmm Exp $
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
 #
 
 
@@ -20,24 +27,35 @@
 
 
 ifeq "$(platform)" ""
-CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2
+CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -D_GNU_SOURCE
 LIBS        = -lconfuse -lrt -lm -lzmq -lxml2
 else
 ifeq "$(platform)" "openwrt"
-CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -DOPENWRT 
-LIBS        = -lrt -lm -lzmq -lxml2 -luci
+CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -DOPENWRT -D_GNU_SOURCE
+LIBS        = -lrt -lm -luci
+else
+ifeq "$(platform)" "vpp"
+CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -I/usr/include/vpp_plugins -DVPP -D_GNU_SOURCE
+LIBS        = -lconfuse -lrt -lm -lzmq -lxml2 -lvlibmemoryclient -lvlibapi -lsvm -lvppinfra -lpthread -ldl
 else
 ERROR       = true
 endif
 endif
+endif
+
+
+vpp_api_test_DEPENDENCIES =  \
+        libvlib.la \
+        libvatplugin.la \
+        libvlibmemory.la libvnet.la
+
+
 
 INC         = defs.h
 MAKEFILE    = Makefile
 
 OBJS        = cmdline.o                  \
           config/oor_config_functions.o  \
-          config/oor_api.o               \
-          config/oor_api_internals.o     \
           control/oor_control.o          \
           control/oor_ctrl_device.o      \
           control/oor_local_db.o         \
@@ -48,6 +66,7 @@
           control/control-data-plane/tun/cdp_tun.o           \
           data-plane/encapsulations/vxlan-gpe.o              \
           data-plane/data-plane.o        \
+          data-plane/ttable.o            \
           data-plane/tun/tun_input.o     \
           data-plane/tun/tun_output.o    \
           data-plane/tun/tun.o           \
@@ -56,9 +75,12 @@
           elibs/mbedtls/sha256.o         \
           elibs/mbedtls/md_wrap.o        \
           elibs/patricia/patricia.o      \
+          fwd_policies/balancing_locators.o                  \
+          fwd_policies/fwd_addr_func.o   \
           fwd_policies/fwd_policy.o      \
-          fwd_policies/flow_balancing/fb_addr_func.o         \
+          fwd_policies/fwd_utils.o       \
           fwd_policies/flow_balancing/flow_balancing.o       \
+          fwd_policies/flow_balancing/fwd_entry_tuple.o      \
           liblisp/liblisp.o              \
           liblisp/lisp_address.o         \
           liblisp/lisp_data.o            \
@@ -73,6 +95,7 @@
           lib/hmac.o                     \
           lib/iface_locators.o           \
           lib/int_table.o                \
+          lib/interfaces_lib.o	         \
           lib/lbuf.o                     \
           lib/lisp_site.o                \
           lib/oor_log.o                  \
@@ -90,10 +113,12 @@
           lib/shash.o                    \
           lib/timers.o                   \
           lib/timers_utils.o             \
-          lib/ttable.o                   \
           lib/util.o                     \
+          net_mgr/net_mgr.o              \
+          net_mgr/net_mgr_proc_fc.o      \
+          net_mgr/kernel/netm_kernel.o   \
+          net_mgr/kernel/iface_mgmt.o    \
           iface_list.o                   \
-          iface_mgmt.o                   \
           oor.o                        
           
 ifeq "$(platform)" "openwrt"
@@ -101,12 +126,30 @@
           config/oor_config_uci.o
 else
 OBJS    := $(OBJS) \
+          config/oor_api.o               \
+          config/oor_api_internals.o     \
           config/oor_config_confuse.o
+endif
+
+ifeq "$(platform)" "vpp"
+OBJS    := $(OBJS) \
+          control/control-data-plane/vpp/cdp_vpp.o           \
+          data-plane/vpp/vpp.o              \
+          fwd_policies/vpp_balancing/fwd_entry_vpp.o         \
+          fwd_policies/vpp_balancing/vpp_balancing.o         \
+          lib/vpp_api/vpp_api.o             \
+          lib/vpp_api/vpp_api_reply.o       \
+          lib/vpp_api/vpp_api_requests.o    \
+          lib/vpp_api/ctrl_vpp_plugin.o     \
+          lib/vpp_api/pkt_miss_vpp_plugin.o \
+          net_mgr/vpp/netm_vpp.o
+
 endif
 
 EXE        	= oor
 PREFIX      = /usr/local/sbin
-INCLUDE     = -I. -Iliblisp -Ielibs -Ilib -Icontrol -Idata-tun -Ifwd_balancing -Ifwd_balancing/flow_balancing
+INCLUDE     = -I. -Iliblisp -Ielibs -Ilib -Icontrol -Idata-tun -Ifwd_balancing -Ifwd_policies/flow_balancing \
+			-Inet_mgr -Inet_mgr/kernel -Inet_mgr/vpp
 
 $(EXE): $(OBJS)
 	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)   
@@ -130,12 +173,14 @@
         elibs/libcfu/*o \
         elibs/mbedtls/*o \
         liblisp/*o liblisp/hmac/*o \
-        lib/*o \
-        config/*o control/*o control/control-data-plane/*o \
+        lib/*o lib/vpp_api/*o \
+        net_mgr/*o net_mgr/kernel/*o net_mgr/vpp/*o \
+		config/*o control/*o control/control-data-plane/*o \
         control/control-data-plane/tun/*o control/control-data-plane/vpnapi/*o \
+        control/control-data-plane/vpp/*o \
         data-plane/encapsulations/*o \
-        data-plane/*o data-plane/tun/*o data-plane/vpnapi/*o\
-        fwd_policies/*o fwd_policies/flow_balancing/*o
+        data-plane/*o data-plane/tun/*o data-plane/vpnapi/*o data-plane/vpp/*o \
+        fwd_policies/*o fwd_policies/flow_balancing/*o fwd_policies/vpp_balancing/*o
 
 distclean: clean
 	rm -f cmdline.[ch] cscope.out
@@ -146,4 +191,3 @@
 
 tags:
 	cscope -R -b
-

=== debian/changelog ===
openoverlayrouter (1.2.0+ds1-2build1) bionic; urgency=medium

  * No-change rebuild against libconfuse2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Dec 2017 16:17:10 +0000

openoverlayrouter (1.2.0+ds1-2) unstable; urgency=medium

  * Set source section to misc, as done for the binary package.
    (Closes: #878116) (suggested by Matthias Klose)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Nov 2017 18:46:00 +0100

openoverlayrouter (1.2.0+ds1-1) unstable; urgency=medium

  * new upstream release
  * update patches
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: put maintenance to debian-iot

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Sep 2017 19:10:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,7 @@
 Source: openoverlayrouter
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: misc
 Priority: optional
 Build-Depends: debhelper (>=10)
@@ -10,8 +12,10 @@
 	, libcap2-bin
 	, gengetopt
 	, libxml2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://openoverlayrouter.org/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/oor.git
+Vcs-Git: https://anonscm.debian.org/git/debian-iot/oor.git
 
 Package: openoverlayrouter
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

#override_dh_auto_build:
#	echo "Build version: >$(MAJOR).$(MINOR).$(REV)<"
#	RELDFLAGS)" CPPFLAGS="$(CPPFLAGS) $(MORECPPFLAGS)" VERSION_MAJ=$(MAJOR) VERSION_MIN=$(MINOR) VERSION_REV=$(REV) PREFIX=/usr SYSCONFDIR=/etc/openzwave instlibdir=$(LIBDIR) make
#
#get-orig-source:
#	uscan --force-download --debug --repack

## openoverlayrouter 1.2.1+ds1

=== debian/changelog ===
openoverlayrouter (1.2.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.1.5 (no changes)
  * debian/control: use dh11
  * debian/control: add salsa URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Jul 2018 14:18:55 +0200

=== debian/control ===
Source: openoverlayrouter
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: misc
Priority: optional
Build-Depends: debhelper (>=11)
	, dh-exec (>=0.2)
        , quilt
	, libzmq3-dev
	, libconfuse-dev
	, libcap2-bin
	, gengetopt
	, libxml2-dev
Standards-Version: 4.1.5
Homepage: http://openoverlayrouter.org/
Vcs-Browser: https://salsa.debian.org/debian-iot-team/oor
Vcs-Git: https://salsa.debian.org/debian-iot-team/oor.git

Package: openoverlayrouter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: deploy programmable overlay networks
 The OpenOverlayRouter (OOR) project aims to deliver a flexible and modular
 open-source implementation to deploy programmable overlay networks. It
 leverages on encapsulating overlay-specific packets into underlay-compatible
 packets at the edges of the instantiated overlay and route them over the
 physical underlying infrastructure. In order to do so, it maps overlay
 identifiers to underlay locators and keeps those mappings updated over
 time. In the current version, OOR uses the LISP protocol for the
 control-plane (e.g. mapping retrieval and updating, etc), NETCONF/YANG for
 the management-plane (e.g. overlay identifiers provisioning, etc) and can
 use both LISP and VXLAN-GPE headers for encapsulation.

## openoverlayrouter 1.2.2+ds1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 DIRS = oor
 BUILDDIRS = $(DIRS:%=build-%)
 INSTALLDIRS = $(DIRS:%=install-%)
-CLEANDIRS = $(DIRS:%=clean-%)
+CLEANDIRS = $(DIRS:%=clean-%) android
 
 all: $(BUILDDIRS)
 $(DIRS): $(BUILDDIRS)

=== oor/Makefile ===
--- 
+++ 
@@ -24,18 +24,18 @@
 endif
 GENGETOPT   = gengetopt
 ERROR       = false
+CFLAGS     += -Wall -Werror=switch -std=gnu89 -g -I/usr/include/libxml2 -D_GNU_SOURCE
 
 
 ifeq "$(platform)" ""
-CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -D_GNU_SOURCE
 LIBS        = -lconfuse -lrt -lm -lzmq -lxml2
 else
 ifeq "$(platform)" "openwrt"
-CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -DOPENWRT -D_GNU_SOURCE
+CFLAGS     += -DOPENWRT
 LIBS        = -lrt -lm -luci
 else
 ifeq "$(platform)" "vpp"
-CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -I/usr/include/vpp_plugins -DVPP -D_GNU_SOURCE
+CFLAGS     += -I/usr/include/vpp_plugins -DVPP
 LIBS        = -lconfuse -lrt -lm -lzmq -lxml2 -lvlibmemoryclient -lvlibapi -lsvm -lvppinfra -lpthread -ldl
 else
 ERROR       = true
@@ -60,6 +60,8 @@
           control/oor_ctrl_device.o      \
           control/oor_local_db.o         \
           control/oor_map_cache.o        \
+          control/lisp_rtr.o             \
+          control/lisp_tr.o              \
           control/lisp_xtr.o             \
           control/lisp_ms.o              \
           control/control-data-plane/control-data-plane.o    \
@@ -93,6 +95,7 @@
           lib/cksum.o                    \
           lib/generic_list.o             \
           lib/hmac.o                     \
+          lib/htable_ptrs.o              \
           lib/iface_locators.o           \
           lib/int_table.o                \
           lib/interfaces_lib.o	         \
@@ -101,11 +104,11 @@
           lib/oor_log.o                  \
           lib/mapping_db.o               \
           lib/map_cache_entry.o          \
+          lib/map_cache_rtr_data.o       \
           lib/map_local_entry.o          \
           lib/mem_util.o                 \
           lib/nonces_table.o             \
           lib/packets.o                  \
-          lib/pointers_table.o           \
           lib/prefixes.o                 \
           lib/routing_tables_lib.o       \
           lib/sockets.o                  \

=== tests/Makefile ===
all: tests

tests: udp tcp

udp:
	gcc -o udp_echo_server udp_echo_server.c
	gcc -o udp_echo_client udp_echo_client.c

tcp:
	gcc -o tcp_echo_server tcp_echo_server.c
	gcc -o tcp_echo_client tcp_echo_client.c

clean:
	rm -f udp_echo_server udp_echo_client tcp_echo_server tcp_echo_client

=== debian/changelog ===
openoverlayrouter (1.2.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.2.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Nov 2018 23:10:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	, libcap2-bin
 	, gengetopt
 	, libxml2-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: http://openoverlayrouter.org/
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/oor
 Vcs-Git: https://salsa.debian.org/debian-iot-team/oor.git

## openoverlayrouter 1.3.0%2Bds1

=== debian/changelog ===
openoverlayrouter (1.3.0+ds1-4build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:31:39 +0100

openoverlayrouter (1.3.0+ds1-4build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:19:28 +0200

openoverlayrouter (1.3.0+ds1-4) unstable; urgency=medium

  * debian/control: add dh-sequence-movetousr as build-dependency
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/watch: update to version 4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 26 May 2024 23:24:37 +0200

openoverlayrouter (1.3.0+ds1-3) unstable; urgency=medium

  * Team upload
  * Fix gcc-10 warnings (Closes: #957641)
  * debian/control: bump standard to 4.5.0 (no changes)
  * d/control: uses debhelper-compat instead of debhelper, remove d/compat
  * d/control: set debhelper-cpmpat version to 13
  * d/control: Add Rules-Requires-Root: no
  * d/control: remove quilt from builddep
  * d/control: fix team e-mail address
  * d/copyright: add debian/* copyright notice

 -- Nicolas Mora <babelouest@debian.org>  Wed, 29 Jul 2020 23:32:06 -0400

openoverlayrouter (1.3.0+ds1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Aug 2019 19:24:37 +0200

openoverlayrouter (1.3.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.3.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 May 2019 20:24:37 +0200

## openoverlayrouter 1.3.0+ds1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 DIRS = oor
 BUILDDIRS = $(DIRS:%=build-%)
 INSTALLDIRS = $(DIRS:%=install-%)
+UNINSTALLDIRS = $(DIRS:%=uninstall-%)
 CLEANDIRS = $(DIRS:%=clean-%) android
+
 
 all: $(BUILDDIRS)
 $(DIRS): $(BUILDDIRS)
@@ -12,6 +14,10 @@
 $(INSTALLDIRS):
 	$(MAKE) -C $(@:install-%=%) install
 
+uninstall: $(UNINSTALLDIRS)
+$(UNINSTALLDIRS):
+	$(MAKE) -C $(@:uninstall-%=%) uninstall	
+
 clean: $(CLEANDIRS)
 $(CLEANDIRS):
 	$(MAKE) -C $(@:clean-%=%) clean

=== oor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)
project(oor)

set(CMAKE_CXX_STANDARD 11)

include_directories(/usr/local/include /usr/local/include/libxml2 /usr/include/libxml2 /usr/local/opt/libxml2/include/libxml2 .)

add_executable(oor
        config/oor_api.c
        config/oor_api.h
        config/oor_api_internals.c
        config/oor_api_internals.h
        config/oor_config_confuse.c
        config/oor_config_confuse.h
        config/oor_config_functions.c
        config/oor_config_functions.h
        config/oor_config_uci.c
        config/oor_config_uci.h
        control/control-data-plane/tun/cdp_tun.c
        control/control-data-plane/tun/cdp_tun.h
        control/control-data-plane/vpnapi/cdp_vpnapi.c
        control/control-data-plane/vpnapi/cdp_vpnapi.h
        control/control-data-plane/vpp/cdp_vpp.c
        control/control-data-plane/vpp/cdp_vpp.h
        control/control-data-plane/control-data-plane.c
        control/control-data-plane/control-data-plane.h
        control/lisp_ms.c
        control/lisp_ms.h
        control/lisp_rtr.c
        control/lisp_rtr.h
        control/lisp_tr.c
        control/lisp_tr.h
        control/lisp_xtr.c
        control/lisp_xtr.h
        control/oor_control.c
        control/oor_control.h
        control/oor_ctrl_device.c
        control/oor_ctrl_device.h
        control/oor_local_db.c
        control/oor_local_db.h
        control/oor_map_cache.c
        control/oor_map_cache.h
        data-plane/encapsulations/vxlan-gpe.c
        data-plane/encapsulations/vxlan-gpe.h
        data-plane/tun/tun.c
        data-plane/tun/tun.h
        data-plane/tun/tun_input.c
        data-plane/tun/tun_input.h
        data-plane/tun/tun_output.c
        data-plane/tun/tun_output.h
        data-plane/vpnapi/vpnapi.c
        data-plane/vpnapi/vpnapi.h
        data-plane/vpnapi/vpnapi_input.c
        data-plane/vpnapi/vpnapi_input.h
        data-plane/vpnapi/vpnapi_output.c
        data-plane/vpnapi/vpnapi_output.h
        data-plane/vpp/vpp.c
        data-plane/vpp/vpp.h
        data-plane/data-plane.c
        data-plane/data-plane.h
        data-plane/ttable.c
        data-plane/ttable.h
        elibs/bob/lookup3.c
        elibs/khash/khash.h
        elibs/mbedtls/md.c
        elibs/mbedtls/md.h
        elibs/mbedtls/md_internal.h
        elibs/mbedtls/md_wrap.c
        elibs/mbedtls/sha1.c
        elibs/mbedtls/sha1.h
        elibs/mbedtls/sha256.c
        elibs/mbedtls/sha256.h
        elibs/ovs/list.h
        elibs/ovs/ovs_util.h
        elibs/patricia/patricia.c
        elibs/patricia/patricia.h
        fwd_policies/flow_balancing/fb_addr_func.c
        fwd_policies/flow_balancing/fb_addr_func.h
        fwd_policies/flow_balancing/flow_balancing.c
        fwd_policies/flow_balancing/flow_balancing.h
        fwd_policies/flow_balancing/fwd_entry_tuple.c
        fwd_policies/flow_balancing/fwd_entry_tuple.h
        fwd_policies/vpp_balancing/fwd_entry_vpp.c
        fwd_policies/vpp_balancing/fwd_entry_vpp.h
        fwd_policies/vpp_balancing/vpp_balancing.c
        fwd_policies/vpp_balancing/vpp_balancing.h
        fwd_policies/balancing_locators.c
        fwd_policies/balancing_locators.h
        fwd_policies/fwd_addr_func.c
        fwd_policies/fwd_addr_func.h
        fwd_policies/fwd_policy.c
        fwd_policies/fwd_policy.h
        fwd_policies/fwd_utils.c
        fwd_policies/fwd_utils.h
        lib/vpp_api/ctrl_vpp_plugin.c
        lib/vpp_api/pkt_miss_vpp_plugin.c
        lib/vpp_api/vpp_api.c
        lib/vpp_api/vpp_api.h
        lib/vpp_api/vpp_api_reply.c
        lib/vpp_api/vpp_api_requests.c
        lib/vpp_api/vpp_api_requests.h
        lib/cksum.c
        lib/cksum.h
        lib/generic_list.c
        lib/generic_list.h
        lib/hmac.c
        lib/hmac.h
        lib/htable_ptrs.c
        lib/htable_ptrs.h
        lib/iface_locators.c
        lib/iface_locators.h
        lib/int_table.c
        lib/int_table.h
        lib/interfaces_lib.c
        lib/interfaces_lib.h
        lib/lbuf.c
        lib/lbuf.h
        lib/lisp_site.c
        lib/lisp_site.h
        lib/map_cache_entry.c
        lib/map_cache_entry.h
        lib/map_cache_rtr_data.c
        lib/map_cache_rtr_data.h
        lib/map_local_entry.c
        lib/map_local_entry.h
        lib/mapping_db.c
        lib/mapping_db.h
        lib/mem_util.c
        lib/mem_util.h
        lib/nonces_table.c
        lib/nonces_table.h
        lib/oor_log.c
        lib/oor_log.h
        lib/packets.c
        lib/packets.h
        lib/prefixes.c
        lib/prefixes.h
        lib/routing_tables_lib.c
        lib/routing_tables_lib.h
        lib/shash.c
        lib/shash.h
        lib/sockets-util.c
        lib/sockets-util.h
        lib/sockets.c
        lib/sockets.h
        lib/timers.c
        lib/timers.h
        lib/timers_utils.c
        lib/timers_utils.h
        lib/util.c
        lib/util.h
        liblisp/liblisp.c
        liblisp/liblisp.h
        liblisp/lisp_address.c
        liblisp/lisp_address.h
        liblisp/lisp_data.c
        liblisp/lisp_data.h
        liblisp/lisp_ip.c
        liblisp/lisp_ip.h
        liblisp/lisp_lcaf.c
        liblisp/lisp_lcaf.h
        liblisp/lisp_locator.c
        liblisp/lisp_locator.h
        liblisp/lisp_mapping.c
        liblisp/lisp_mapping.h
        liblisp/lisp_message_fields.c
        liblisp/lisp_message_fields.h
        liblisp/lisp_messages.c
        liblisp/lisp_messages.h
        net_mgr/kernel/iface_mgmt.c
        net_mgr/kernel/iface_mgmt.h
        net_mgr/kernel/netm_kernel.c
        net_mgr/kernel/netm_kernel.h
        net_mgr/vpp/netm_vpp.c
        net_mgr/vpp/netm_vpp.h
        net_mgr/net_mgr.c
        net_mgr/net_mgr.h
        net_mgr/net_mgr_proc_fc.c
        net_mgr/net_mgr_proc_fc.h
        cmdline.c
        cmdline.h
        defs.h
        iface_list.c
        iface_list.h
        oor.c
        oor.h
        oor_external.h
        oor_jni.c
        oor_jni.h)

=== oor/Makefile ===
--- 
+++ 
@@ -64,6 +64,8 @@
           control/lisp_tr.o              \
           control/lisp_xtr.o             \
           control/lisp_ms.o              \
+          control/lisp_ddt_node.o        \
+          control/lisp_ddt_mr.o          \
           control/control-data-plane/control-data-plane.o    \
           control/control-data-plane/tun/cdp_tun.o           \
           data-plane/encapsulations/vxlan-gpe.o              \
@@ -90,6 +92,7 @@
           liblisp/lisp_lcaf.o            \
           liblisp/lisp_locator.o         \
           liblisp/lisp_mapping.o         \
+          liblisp/lisp_mref_mapping.o    \
           liblisp/lisp_messages.o        \
           liblisp/lisp_message_fields.o  \
           lib/cksum.o                    \
@@ -104,6 +107,7 @@
           lib/oor_log.o                  \
           lib/mapping_db.o               \
           lib/map_cache_entry.o          \
+          lib/ddt_map_cache_entry.o      \
           lib/map_cache_rtr_data.o       \
           lib/map_local_entry.o          \
           lib/mem_util.o                 \
@@ -151,6 +155,8 @@
 
 EXE        	= oor
 PREFIX      = /usr/local/sbin
+SERVICE     = oor.service
+SERVICEPREF	= /etc/systemd/system/
 INCLUDE     = -I. -Iliblisp -Ielibs -Ilib -Icontrol -Idata-tun -Ifwd_balancing -Ifwd_policies/flow_balancing \
 			-Inet_mgr -Inet_mgr/kernel -Inet_mgr/vpp
 
@@ -190,7 +196,12 @@
 
 install: $(EXE)
 	mkdir -p $(DESTDIR)$(PREFIX) && cp $(EXE) $(DESTDIR)$(PREFIX)
+	cp $(SERVICE) $(SERVICEPREF)
 	setcap cap_net_raw,cap_net_admin+ep $(DESTDIR)$(PREFIX)/$(EXE)
+
+uninstall:
+	rm $(DESTDIR)$(PREFIX)/$(EXE)
+	rm $(SERVICEPREF)$(SERVICE)
 
 tags:
 	cscope -R -b

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: openoverlayrouter
-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@alioth-lists.debian.net>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>=11)
+Build-Depends: debhelper-compat (=13)
 	, dh-exec (>=0.2)
-        , quilt
 	, libzmq3-dev
 	, libconfuse-dev
 	, libcap2-bin
 	, gengetopt
 	, libxml2-dev
-Standards-Version: 4.2.1
+	, dh-sequence-movetousr
+Standards-Version: 4.7.0
 Homepage: http://openoverlayrouter.org/
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/oor
 Vcs-Git: https://salsa.debian.org/debian-iot-team/oor.git
+Rules-Requires-Root: no
 
 Package: openoverlayrouter
 Architecture: any

=== debian/watch ===
version=4
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openoverlayrouter-$1\.tar\.gz/ \
https://github.com/OpenOverlayRouter/oor/tags .*/v?(\d\S+)\.tar\.gz debian uupdate
